##############################################################################
package XML::ESDOM_1_1::DocumentType;
##############################################################################
use utf8;
use strict;
use XML::ESDOM_1_1::Node;
our @ISA = qw ( XML::ESDOM_1_1::Node );
our ( $__nodeName,
	$__nodeValue,
	$__nodeType,
	$__parentNode,
	$__childNodes,
	$__attributes,
	$__canHaveChild
	) = (
	$XML::ESDOM_1_1::Node::__nodeName,
	$XML::ESDOM_1_1::Node::__nodeValue,
	$XML::ESDOM_1_1::Node::__nodeType,
	$XML::ESDOM_1_1::Node::__parentNode,
	$XML::ESDOM_1_1::Node::__childNodes,
	$XML::ESDOM_1_1::Node::__attributes,
	$XML::ESDOM_1_1::Node::__canHaveChild
	);

sub new {
	my $class = shift;
	my $doctype = shift;
	unless( $doctype ) {return;}
	my $self = new XML::ESDOM_1_1::Node( $doctype );

	$self->[$__nodeType] = XML::ESDOM_1_1::Node::DOCUMENT_TYPE_NODE;

	bless $self;
}

1;
